<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Extraire le mot de passe d'une tache bugnicar pour le contrle d'acces.</description>
<description lang="en">Extract the password from a bugnicar task for access control.</description>
<input><match>bugnicar-task[@password]</match></input>
<output><match>login-password[@password and @login]</match></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='//bugnicar-task'>
    <login-password login='bugnicar' password='{@password}'/>
</xsl:template>

</xsl:transform>
