<?xml version='1.0' encoding='ISO-8859-1'?>
<xsl:transform version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:output method='xml'/>
  <prototype>
    <input optional='no' list='no'>
      <match>bugnicar-task</match>
    </input>
    <output optional='yes' list='no'>
      <match>bug[@state = 'not-assigned']</match>
    </output>
  </prototype>
  <xsl:template match='arguments'>
    <xsl:if test='true()'>
      <xsl:element name='bug'>
        <xsl:attribute name='id'>
          <xsl:value-of select='position()'/>
        </xsl:attribute>
        <xsl:attribute name='state'>
          <xsl:text>not-assigned</xsl:text>
        </xsl:attribute>
        <xsl:element name='label'>
          <xsl:value-of select='//bugnicar-task/about/text()'/>
        </xsl:element>
        <xsl:element name='report-info'>
          <from>
            <xsl:value-of select='//bugnicar-task/bug-report/@sender'/>
          </from>
          <date>
            <xsl:value-of select='//bugnicar-task/bug-report/@date'/>
          </date>
          <description>
            <xsl:value-of select='//bugnicar-task/text()'/>
          </description>
        </xsl:element>
        <xsl:element name='comments'/>
      </xsl:element>
    </xsl:if>
  </xsl:template>
</xsl:transform>