<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Encapsuler une base de donnes bugnicar dans un lment xml-file de narval.</description>
<description lang="en">Encapsulate a bugnicar database into a narval xml-file element.</description>
<input><match>bugnicar-database</match></input>
<output><match>xml-file[data/bugnicar-database and url/text()]</match></output>
</prototype>

<!-- root ================================================================== -->

<xsl:template match='//bugnicar-database'>
    <xml-file>
        <url>file:///$NARVAL_HOME/data/bugnicar-database.xml</url>
        <data>
            <xsl:copy-of select='.'/>
        </data>
    </xml-file>
</xsl:template>

</xsl:transform>