<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" indent="yes"/>
<xsl:strip-space elements='*'/>
 
<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Encapsule une base de donnes bugdb dans un lment xml-file.</description>
<description lang="en">Puts a bugdb database in an xml-file element.</description>
<input><match>xhtml</match></input>
<output>
  <match>html-file/url/text()</match>
  <match>html-file/data/*</match>
</output>

</prototype>

<!-- root ================================================================== -->

<xsl:template match='//xhtml'>
  <html-file>
    <url>file:///$NARVAL_HOME/data/bug.html</url>
    <data>
      <xsl:copy-of select='.'/>
    </data>
  </html-file>
</xsl:template>


</xsl:transform>
